WinGit: Move create-shortcut.exe to bin/
[msysgit.git] / bin / autoconf
blobe8d91fa42fb092672944302dea84d65dc12feaa7
1 #! /bin/sh
2 ## --------------------- ##
3 ## M4sh Initialization. ##
4 ## --------------------- ##
6 # Be more Bourne compatible
7 DUALCASE=1; export DUALCASE # for MKS sh
8 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
9 emulate sh
10 NULLCMD=:
11 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
12 # is contrary to our usage. Disable this feature.
13 alias -g '${1+"$@"}'='"$@"'
14 setopt NO_GLOB_SUBST
15 else
16 case `(set -o) 2>/dev/null` in
17 *posix*) set -o posix ;;
18 esac
25 # PATH needs CR
26 # Avoid depending upon Character Ranges.
27 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
28 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
29 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
30 as_cr_digits='0123456789'
31 as_cr_alnum=$as_cr_Letters$as_cr_digits
33 # The user is always right.
34 if test "${PATH_SEPARATOR+set}" != set; then
35 echo "#! /bin/sh" >conf$$.sh
36 echo "exit 0" >>conf$$.sh
37 chmod +x conf$$.sh
38 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
39 PATH_SEPARATOR=';'
40 else
41 PATH_SEPARATOR=:
43 rm -f conf$$.sh
46 # Support unset when possible.
47 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
48 as_unset=unset
49 else
50 as_unset=false
54 # IFS
55 # We need space, tab and new line, in precisely that order. Quoting is
56 # there to prevent editors from complaining about space-tab.
57 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
58 # splitting by setting IFS to empty value.)
59 as_nl='
61 IFS=" "" $as_nl"
63 # Find who we are. Look in the path if we contain no directory separator.
64 case $0 in
65 *[\\/]* ) as_myself=$0 ;;
66 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
67 for as_dir in $PATH
69 IFS=$as_save_IFS
70 test -z "$as_dir" && as_dir=.
71 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
72 done
73 IFS=$as_save_IFS
76 esac
77 # We did not find ourselves, most probably we were run as `sh COMMAND'
78 # in which case we are not to be found in the path.
79 if test "x$as_myself" = x; then
80 as_myself=$0
82 if test ! -f "$as_myself"; then
83 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
84 { (exit 1); exit 1; }
87 # Work around bugs in pre-3.0 UWIN ksh.
88 for as_var in ENV MAIL MAILPATH
89 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
90 done
91 PS1='$ '
92 PS2='> '
93 PS4='+ '
95 # NLS nuisances.
96 for as_var in \
97 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
98 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
99 LC_TELEPHONE LC_TIME
101 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
102 eval $as_var=C; export $as_var
103 else
104 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
106 done
108 # Required to use basename.
109 if expr a : '\(a\)' >/dev/null 2>&1 &&
110 test "X`expr 00001 : '.*\(...\)'`" = X001; then
111 as_expr=expr
112 else
113 as_expr=false
116 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
117 as_basename=basename
118 else
119 as_basename=false
123 # Name of the executable.
124 as_me=`$as_basename -- "$0" ||
125 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
126 X"$0" : 'X\(//\)$' \| \
127 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
128 echo X/"$0" |
129 sed '/^.*\/\([^/][^/]*\)\/*$/{
130 s//\1/
133 /^X\/\(\/\/\)$/{
134 s//\1/
137 /^X\/\(\/\).*/{
138 s//\1/
141 s/.*/./; q'`
143 # CDPATH.
144 $as_unset CDPATH
147 if test "x$CONFIG_SHELL" = x; then
148 if (eval ":") 2>/dev/null; then
149 as_have_required=yes
150 else
151 as_have_required=no
154 if test $as_have_required = yes && (eval ":
155 (as_func_return () {
156 (exit \$1)
158 as_func_success () {
159 as_func_return 0
161 as_func_failure () {
162 as_func_return 1
164 as_func_ret_success () {
165 return 0
167 as_func_ret_failure () {
168 return 1
171 exitcode=0
172 if as_func_success; then
174 else
175 exitcode=1
176 echo as_func_success failed.
179 if as_func_failure; then
180 exitcode=1
181 echo as_func_failure succeeded.
184 if as_func_ret_success; then
186 else
187 exitcode=1
188 echo as_func_ret_success failed.
191 if as_func_ret_failure; then
192 exitcode=1
193 echo as_func_ret_failure succeeded.
196 if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
198 else
199 exitcode=1
200 echo positional parameters were not saved.
203 test \$exitcode = 0) || { (exit 1); exit 1; }
204 ") 2> /dev/null; then
206 else
207 as_candidate_shells=
208 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
209 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
211 IFS=$as_save_IFS
212 test -z "$as_dir" && as_dir=.
213 case $as_dir in
215 for as_base in sh bash ksh sh5; do
216 as_candidate_shells="$as_candidate_shells $as_dir/$as_base"
217 done;;
218 esac
219 done
220 IFS=$as_save_IFS
223 for as_shell in $as_candidate_shells $SHELL; do
224 # Try only shells that exist, to save several forks.
225 if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
226 { ("$as_shell") 2> /dev/null <<\_ASEOF
227 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
228 emulate sh
229 NULLCMD=:
230 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
231 # is contrary to our usage. Disable this feature.
232 alias -g '${1+"$@"}'='"$@"'
233 setopt NO_GLOB_SUBST
234 else
235 case `(set -o) 2>/dev/null` in
236 *posix*) set -o posix ;;
237 esac
243 _ASEOF
244 }; then
245 CONFIG_SHELL=$as_shell
246 as_have_required=yes
247 if { "$as_shell" 2> /dev/null <<\_ASEOF
248 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
249 emulate sh
250 NULLCMD=:
251 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
252 # is contrary to our usage. Disable this feature.
253 alias -g '${1+"$@"}'='"$@"'
254 setopt NO_GLOB_SUBST
255 else
256 case `(set -o) 2>/dev/null` in
257 *posix*) set -o posix ;;
258 esac
264 (as_func_return () {
265 (exit $1)
267 as_func_success () {
268 as_func_return 0
270 as_func_failure () {
271 as_func_return 1
273 as_func_ret_success () {
274 return 0
276 as_func_ret_failure () {
277 return 1
280 exitcode=0
281 if as_func_success; then
283 else
284 exitcode=1
285 echo as_func_success failed.
288 if as_func_failure; then
289 exitcode=1
290 echo as_func_failure succeeded.
293 if as_func_ret_success; then
295 else
296 exitcode=1
297 echo as_func_ret_success failed.
300 if as_func_ret_failure; then
301 exitcode=1
302 echo as_func_ret_failure succeeded.
305 if ( set x; as_func_ret_success y && test x = "$1" ); then
307 else
308 exitcode=1
309 echo positional parameters were not saved.
312 test $exitcode = 0) || { (exit 1); exit 1; }
314 _ASEOF
315 }; then
316 break
321 done
323 if test "x$CONFIG_SHELL" != x; then
324 for as_var in BASH_ENV ENV
325 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
326 done
327 export CONFIG_SHELL
328 exec "$CONFIG_SHELL" "$as_myself" ${1+"$@"}
332 if test $as_have_required = no; then
333 echo This script requires a shell more modern than all the
334 echo shells that I found on your system. Please install a
335 echo modern shell, or manually run the script under such a
336 echo shell if you do have one.
337 { (exit 1); exit 1; }
347 (eval "as_func_return () {
348 (exit \$1)
350 as_func_success () {
351 as_func_return 0
353 as_func_failure () {
354 as_func_return 1
356 as_func_ret_success () {
357 return 0
359 as_func_ret_failure () {
360 return 1
363 exitcode=0
364 if as_func_success; then
366 else
367 exitcode=1
368 echo as_func_success failed.
371 if as_func_failure; then
372 exitcode=1
373 echo as_func_failure succeeded.
376 if as_func_ret_success; then
378 else
379 exitcode=1
380 echo as_func_ret_success failed.
383 if as_func_ret_failure; then
384 exitcode=1
385 echo as_func_ret_failure succeeded.
388 if ( set x; as_func_ret_success y && test x = \"\$1\" ); then
390 else
391 exitcode=1
392 echo positional parameters were not saved.
395 test \$exitcode = 0") || {
396 echo No shell found that supports shell functions.
397 echo Please tell autoconf@gnu.org about your system,
398 echo including any error possibly output before this
399 echo message
402 # autoconf -- create `configure' using m4 macros
404 # Copyright (C) 1992, 1993, 1994, 1996, 1999, 2000, 2001, 2002, 2003,
405 # 2004, 2005, 2006 Free Software Foundation, Inc.
407 # This program is free software; you can redistribute it and/or modify
408 # it under the terms of the GNU General Public License as published by
409 # the Free Software Foundation; either version 2, or (at your option)
410 # any later version.
412 # This program is distributed in the hope that it will be useful,
413 # but WITHOUT ANY WARRANTY; without even the implied warranty of
414 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
415 # GNU General Public License for more details.
417 # You should have received a copy of the GNU General Public License
418 # along with this program; if not, write to the Free Software
419 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
420 # 02110-1301, USA.
422 usage="\
423 Usage: $0 [OPTION] ... [TEMPLATE-FILE]
425 Generate a configuration script from a TEMPLATE-FILE if given, or
426 \`configure.ac' if present, or else \`configure.in'. Output is sent
427 to the standard output if TEMPLATE-FILE is given, else into
428 \`configure'.
430 Operation modes:
431 -h, --help print this help, then exit
432 -V, --version print version number, then exit
433 -v, --verbose verbosely report processing
434 -d, --debug don't remove temporary files
435 -f, --force consider all files obsolete
436 -o, --output=FILE save output in FILE (stdout is the default)
437 -W, --warnings=CATEGORY report the warnings falling in CATEGORY [syntax]
439 Warning categories include:
440 \`cross' cross compilation issues
441 \`obsolete' obsolete constructs
442 \`syntax' dubious syntactic constructs
443 \`all' all the warnings
444 \`no-CATEGORY' turn off the warnings on CATEGORY
445 \`none' turn off all the warnings
446 \`error' warnings are error
448 The environment variables \`M4' and \`WARNINGS' are honored.
450 Library directories:
451 -B, --prepend-include=DIR prepend directory DIR to search path
452 -I, --include=DIR append directory DIR to search path
454 Tracing:
455 -t, --trace=MACRO report the list of calls to MACRO
456 -i, --initialization also trace Autoconf's initialization process
458 In tracing mode, no configuration script is created.
460 Report bugs to <bug-autoconf@gnu.org>."
462 version="\
463 autoconf (GNU Autoconf) 2.61
464 Copyright (C) 2006 Free Software Foundation, Inc.
465 This is free software. You may redistribute copies of it under the terms of
466 the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.
467 There is NO WARRANTY, to the extent permitted by law.
469 Written by David J. MacKenzie and Akim Demaille."
471 help="\
472 Try \`$as_me --help' for more information."
474 exit_missing_arg="\
475 echo \"$as_me: option \\\`\$1' requires an argument\" >&2
476 echo \"\$help\" >&2
477 exit 1"
479 # Variables.
480 : ${AUTOM4TE='/usr/bin/autom4te'}
481 autom4te_options=
482 outfile=
483 verbose=:
485 # Parse command line.
486 while test $# -gt 0 ; do
487 option=`expr "x$1" : 'x\(--[^=]*\)' \| \
488 "x$1" : 'x\(-.\)'`
489 optarg=`expr "x$1" : 'x--[^=]*=\(.*\)' \| \
490 "x$1" : 'x-.\(.*\)'`
491 case $1 in
492 --version | -V )
493 echo "$version" ; exit ;;
494 --help | -h )
495 echo "$usage"; exit ;;
497 --verbose | -v )
498 verbose=echo
499 autom4te_options="$autom4te_options $1"; shift ;;
501 # Arguments passed as is to autom4te.
502 --debug | -d | \
503 --force | -f | \
504 --include=* | -I?* | \
505 --prepend-include=* | -B?* | \
506 --warnings=* | -W?* )
507 autom4te_options="$autom4te_options '$1'"; shift ;;
509 # Options with separated arg passed as is to autom4te.
510 --include | -I | \
511 --prepend-include | -B | \
512 --warnings | -W )
513 test $# = 1 && eval "$exit_missing_arg"
514 autom4te_options="$autom4te_options $option '$2'"
515 shift; shift ;;
517 --trace=* | -t?* )
518 traces="$traces --trace='"`echo "$optarg" | sed "s/'/'\\\\\\\\''/g"`"'"
519 shift ;;
520 --trace | -t )
521 test $# = 1 && eval "$exit_missing_arg"
522 traces="$traces --trace='"`echo "$2" | sed "s/'/'\\\\\\\\''/g"`"'"
523 shift; shift ;;
524 --initialization | -i )
525 autom4te_options="$autom4te_options --melt"
526 shift;;
528 --output=* | -o?* )
529 outfile=$optarg
530 shift ;;
531 --output | -o )
532 test $# = 1 && eval "$exit_missing_arg"
533 outfile=$2
534 shift; shift ;;
536 -- ) # Stop option processing
537 shift; break ;;
538 - ) # Use stdin as input.
539 break ;;
540 -* )
541 exec >&2
542 echo "$as_me: invalid option $1"
543 echo "$help"
544 exit 1 ;;
546 break ;;
547 esac
548 done
550 # Find the input file.
551 case $# in
553 if test -f configure.ac; then
554 if test -f configure.in; then
555 echo "$as_me: warning: both \`configure.ac' and \`configure.in' are present." >&2
556 echo "$as_me: warning: proceeding with \`configure.ac'." >&2
558 infile=configure.ac
559 elif test -f configure.in; then
560 infile=configure.in
561 else
562 echo "$as_me: no input file" >&2
563 exit 1
565 test -z "$traces" && test -z "$outfile" && outfile=configure;;
566 1) # autom4te doesn't like `-'.
567 test "x$1" != "x-" && infile=$1 ;;
568 *) exec >&2
569 echo "$as_me: invalid number of arguments."
570 echo "$help"
571 (exit 1); exit 1 ;;
572 esac
574 # Unless specified, the output is stdout.
575 test -z "$outfile" && outfile=-
577 # Run autom4te with expansion.
578 eval set x $autom4te_options \
579 --language=autoconf --output=\$outfile "$traces" \$infile
580 shift
581 $verbose "$as_me: running $AUTOM4TE $*" >&2
582 exec "$AUTOM4TE" "$@"